
From: Geoff Levand <geoffrey.levand@am.sony.com>

This changes the Sun Gem Ether driver's tx ring buffer length to the proper
constant.  Currently TX_RING_SIZE and RX_RING_SIZE are equal, so no
malfunction occurs.

Signed-off-by: Geoff Levand <geoffrey.levand@am.sony.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/net/sungem.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/net/sungem.h~fix-minor-bug-in-sungemh drivers/net/sungem.h
--- 25/drivers/net/sungem.h~fix-minor-bug-in-sungemh	Wed Aug 31 16:04:17 2005
+++ 25-akpm/drivers/net/sungem.h	Wed Aug 31 16:04:17 2005
@@ -1020,7 +1020,7 @@ struct gem {
 		
 	struct gem_init_block	*init_block;
 	struct sk_buff		*rx_skbs[RX_RING_SIZE];
-	struct sk_buff		*tx_skbs[RX_RING_SIZE];
+	struct sk_buff		*tx_skbs[TX_RING_SIZE];
 	dma_addr_t		gblock_dvma;
 
 	struct pci_dev		*pdev;
_
